Allows to add a transfer order containing encore assets.
| FIELD | DESCRIPTION |
| assetUuids |
Optional. Array of Strings. A list of encore asset UUIDs with at least one UUID provided. Mandatory if an |
| eventId |
Optional. String. The ID of the event. Mandatory if no |
| ownerId |
Optional. String. Provide this (or the ownerIdentifier object below ) if there is the possibility of confusion about which content owner this order should be made for. |
| ownerIdentifier |
Optional. Object. Provide this (or the ownerId string above) if there is the possibility of confusion about which content owner this order should be made for. |
| ownerIdentifier.source | Required if the ownerIdentifier object is provided. String. |
| ownerIdentifier.value | Required if the ownerIdentifier object is provided. String. |
| bookerId |
Optional. String. Provide this (or the bookerIdentifier object below ) if there is the possibility of confusion about which booker this order should be made for. |
| bookerIdentifier |
Optional. Object. Provide this (or the bookerId string above) if there is the possibility of confusion about which booker this order should be made for. |
| bookerIdentifier.source | Required if the bookerIdentifier object is provided. String. |
| bookerIdentifier.value | Required if the bookerIdentifier object is provided. String. |
| company | Required. Object. |
| company._id | Required if no identifier (see below) is specified. String. |
| company.identifier | Required if no Gofilex company _id (see above) is specified. Object. |
| company.identifier.source | Required. String. |
| company.identifier.value | Required. String. |
| company.country |
Optional. String. The ISO code of the company's country. |
| transferAfter |
Optional. String. Date format ISO-8601 The date/time the transfer should start after. If you leave out the timezone offset the time will be used as the wall-clock time in the company's local timezone. |
| releaseAfter |
Optional. String. Date format ISO-8601 The date/time the transfer should be released to the site. If you leave out the timezone offset the time will be used as the wall-clock time in the company's local timezone. |
| deliveryDue |
Required. String. Date format ISO-8601 The date/time the transfer should ultimately be present at the site. If you leave out the timezone offset the time will be used as the wall-clock time in the company's local timezone. |
| description | Optional. String. |
| additionalText |
Optional. String. The contents of this field will be added to the email notification that is sent out to clients when the ordered content is delivered. |
EMEA Portal
https://genie.portal.gofilex.com/api/method/v1/order/add/encore
curl -vX POST https://genie.portal.gofilex.com/api/method/v1/order/add/encore -d @order.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"APAC Portal
https://genie.portal.apac.gofilex.com/api/method/v1/order/add/encore
curl -vX POST https://genie.portal.apac.gofilex.com/api/method/v1/order/add/encore -d @order.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"MPS Portal
https://genie.portal.mps.gofilex.com/api/method/v1/order/add/encore
curl -vX POST https://genie.portal.mps.gofilex.com/api/method/v1/order/add/encore -d @order.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"NORAM Portal
https://genie.portal.gofilex.bydeluxe.com/api/method/v1/order/add/encore
curl -vX POST https://genie.portal.gofilex.bydeluxe.com/api/method/v1/order/add/encore -d @order.json --header "Content-Type: application/json" --header "Authorization: Bearer BXrnipNekltq-sHFxpjdd90S17th2Q5mSaRf_4-Rayx"
order.json
{
"company": {
"_id": "92ocDLbbpnHPYZrTe"
},
"ownerId": "HKDd83r8Qy6acvY3R",
"deliveryDue": "2026-12-12",
"assetUuids": [
"ed39db9d-e98e-4eb4-9848-b6a85a274568"
],
"eventId": "kPv58SRFYExY7xAzQ"
}Either or both a assetUuids and an eventId should be provided with the request. Based on the presence of one or both of these fields, the below outcomes are achieved:
A general limitation is that an order can't contain both TS and non-TS encore assets.
{
"success": true,
"order": {
"_api": {
"source": "gofilex"
},
"description": "Berliner Philharmoniker - Sommerkonzert 16/6/2023",
"_type": "transfer",
"medium": "electronic",
"deliveryDue": "2026-12-11T23:00:00.000Z",
"transferAfter": "2026-05-27T08:00:00.000Z",
"releaseAfter": "2026-05-27T08:00:00.000Z",
"_operators": [
{
"_id": "NaJiEG4RXwj3g7ZpM",
"name": "Gofilex Benelux",
"_managing": true
}
],
"_owner": {
"_id": "HKDd83r8Qy6acvY3R",
"location": {
"countries": [
"NL"
],
"city": "Zeist"
},
"name": "Gofilex Distribution"
},
"event": {
"_id": "kPv58SRFYExY7xAzQ",
"name": "Berliner Philharmoniker - Sommerkonzert 16/6/2023"
},
"company": {
"_id": "92ocDLbbpnHPYZrTe",
"type": "cinema",
"name": "Filmhuis Bergh",
"location": {
"city": "'s Heerenberg",
"countries": [
"NL"
],
"timezone": "Europe/Amsterdam"
}
},
"_status": {
"_complete": true,
"hidden": false,
"state": "duplicate",
"_uninvoiceable": false,
"_cleaned": false,
"_prepaid": false,
"expected": false,
"_depending": false,
"progress": {
"step": 0,
"total": 0
}
},
"invoice": {
"payers": [
"content-owner"
],
"purchaseOrderNumber": ""
},
"encores": [
{
"_id": "HShuoX3KiyAetdNiX",
"uuid": "ed39db9d-e98e-4eb4-9848-b6a85a274568",
"fileType": "ts"
}
],
"_derived": {
"encores": [
{
"_id": "HShuoX3KiyAetdNiX",
"uuid": "ed39db9d-e98e-4eb4-9848-b6a85a274568",
"fileType": "ts"
}
],
"_size": 27569377124,
"versions": [],
"compositionPlaylists": [],
"digitalCinemaPackages": []
},
"details": {
"video": {
"type": [
"standard"
],
"aspectRatio": [
"HDTV"
],
"resolution": [
"1080p"
],
"frameRate": [
25
],
"stereoscopic": [
false
]
},
"audio": {
"type": [
"surround"
],
"languages": [
"mai"
]
},
"subtitles": {
"type": [
"none"
],
"languages": []
},
"motion": {
"type": []
},
"contentKind": [
"unknown"
],
"encrypted": []
},
"_managed": true,
"_id": "zazRCknY5tRKFR5p7",
"_jobs": [],
"identifiers": [],
"contacts": [],
"_automations": [],
"_created": {
"at": "2026-05-27T08:10:44.706Z",
"by": "D8bK9sMLhyRdNoWbx"
},
"bundles": [],
"versions": [],
"assetMaps": [],
"compositionPlaylists": []
}
}
Most fields are self-explaining but here is some detail about a few of them:
transferAfter and releaseAfter represent the dates that we are allowed to start transferring content electronically respectively can release the transferred content for use by the cinema, as set by the content owner that made the order._status.state can be either:submitted when an order is made with a due date too close to now and we'll need to manually accept it (typically our SLA is 48 hours).pending when we've received the order and are creating delivery jobs etc. for them (this status won't be seen often as it typically is set for only a few seconds).queued when the delivery jobs etc. are still in the queue.processing when at least one delivery job has started (you'll now also see the progress step increasing).canceled speaks for itself.completed see above._derived.encores is the list of encores that will be delivered for this order._id is the Gofilex order ID and should be communicated back to the Gofilex Support / Gofilex API for future reference.